Categories:
  - Sports & Health
License: Apache-2.0
AuthorName: FriesI23
AuthorEmail: FriesI23@outlook.com
SourceCode: https://github.com/FriesI23/mhabit
IssueTracker: https://github.com/FriesI23/mhabit/issues
Changelog: https://github.com/FriesI23/mhabit/blob/main/CHANGELOG.md
Donate: https://www.buymeacoffee.com/d49cb87qgww

AutoName: Table Habit

RepoType: git
Repo: https://github.com/FriesI23/mhabit
Binaries: https://github.com/FriesI23/mhabit/releases/download/v%v%2B%c/app-release.apk

Builds:
  - versionName: 1.3.0
    versionCode: 8
    commit: v1.3.0+8
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.3.1
    versionCode: 9
    commit: cfc88093cce860838518677cd145b28ef872a356
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.3.2
    versionCode: 10
    commit: 3b8258ac61cfd24011cecc1ef69c39ed091efd29
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.4.0
    versionCode: 11
    commit: 22b2c1fcdb6250704b861769a891b42432f5e461
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.4.1
    versionCode: 12
    commit: 1e83b05071214903bb4de9125b233c9b5b6bb570
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.4.2
    versionCode: 13
    commit: 61c7cd6ca5ee8579b011261ebacd6774ffb5a694
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.5.0
    versionCode: 14
    commit: 2d968aa7acbf06187de7df086eb1b813c21bb097
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

  - versionName: 1.5.1
    versionCode: 15
    commit: b1fe089b289c1e7613388d82df8b5f558e5d1c4d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .vscode
      - demo
      - ios
    prebuild:
      - sed -i -e '/signingConfig /d' android/app/build.gradle
      - export repo=/home/runner/work/mhabit
      - mkdir -p $repo
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export repo=/home/runner/work/mhabit
      - cd ..
      - mv io.github.friesi23.mhabit $repo/mhabit
      - pushd $repo/mhabit
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk
      - popd
      - mv $repo/mhabit io.github.friesi23.mhabit

AllowedAPKSigningKeys: 4a31e799063f721d62135f0925f316c2f5e5ab08b462fc4b957673c9b40869b5

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.1
CurrentVersionCode: 15
